org.keycloak.saml.processing.core.saml.v1

## Interface SAML11Constants

-     public interface SAML11Constants

  Constants for the SAML v1.1 Specifications
  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION`
    `static String` | `ASSERTION_11_NSURI`
    `static String` | `ASSERTION_ARTIFACT`
    `static String` | `ASSERTION_ID_REF`
    `static String` | `ASSERTIONID`
    `static String` | `ATTRIBUTE_NAME`
    `static String` | `ATTRIBUTE_NAMESPACE`
    `static String` | `ATTRIBUTE_QUERY`
    `static String` | `ATTRIBUTE_STATEMENT`
    `static String` | `AUDIENCE_RESTRICTION_CONDITION`
    `static String` | `AUTH_METHOD_KERBEROS`
    `static String` | `AUTH_METHOD_PASSWORD`
    `static String` | `AUTH_METHOD_SRP`
    `static String` | `AUTH_METHOD_TLS`
    `static String` | `AUTHENTICATION_INSTANT`
    `static String` | `AUTHENTICATION_METHOD`
    `static String` | `AUTHENTICATION_QUERY`
    `static String` | `AUTHENTICATION_STATEMENT`
    `static String` | `AUTHORITY_BINDING`
    `static String` | `AUTHORITY_KIND`
    `static String` | `AUTHORIZATION_DECISION_QUERY`
    `static String` | `AUTHORIZATION_DECISION_STATEMENT`
    `static String` | `BINDING`
    `static String` | `CONFIRMATION_METHOD`
    `static String` | `DECISION`
    `static String` | `DNS_ADDRESS`
    `static String` | `EVIDENCE`
    `static String` | `FORMAT`
    `static String` | `FORMAT_EMAIL_ADDRESS`
    `static String` | `FORMAT_UNSPECIFIED`
    `static String` | `IN_RESPONSE_TO`
    `static String` | `IP_ADDRESS`
    `static String` | `ISSUE_INSTANT`
    `static String` | `ISSUER`
    `static String` | `LOCATION`
    `static String` | `MAJOR_VERSION`
    `static String` | `MINOR_VERSION`
    `static String` | `NAME_IDENTIFIER`
    `static String` | `NAME_QUALIFIER`
    `static String` | `NAMESPACE`
    `static String` | `PROTOCOL_11_NSURI`
    `static String` | `RECIPIENT`
    `static String` | `REQUEST`
    `static String` | `REQUEST_ID`
    `static String` | `RESOURCE`
    `static String` | `RESPONSE`
    `static String` | `RESPONSE_ID`
    `static String` | `STATUS`
    `static String` | `STATUS_CODE`
    `static String` | `STATUS_DETAIL`
    `static String` | `STATUS_MSG`
    `static String` | `VALUE`

- - ### Field Detail

    - #### ACTION

          static final String ACTION

      See Also:
        Constant Field Values

    - #### ASSERTIONID

          static final String ASSERTIONID

      See Also:
        Constant Field Values

    - #### ASSERTION_11_NSURI

          static final String ASSERTION_11_NSURI

      See Also:
        Constant Field Values

    - #### ASSERTION_ARTIFACT

          static final String ASSERTION_ARTIFACT

      See Also:
        Constant Field Values

    - #### ASSERTION_ID_REF

          static final String ASSERTION_ID_REF

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_QUERY

          static final String ATTRIBUTE_QUERY

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_NAME

          static final String ATTRIBUTE_NAME

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_NAMESPACE

          static final String ATTRIBUTE_NAMESPACE

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_STATEMENT

          static final String ATTRIBUTE_STATEMENT

      See Also:
        Constant Field Values

    - #### AUDIENCE_RESTRICTION_CONDITION

          static final String AUDIENCE_RESTRICTION_CONDITION

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_INSTANT

          static final String AUTHENTICATION_INSTANT

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_METHOD

          static final String AUTHENTICATION_METHOD

      See Also:
        Constant Field Values

    - #### AUTH_METHOD_PASSWORD

          static final String AUTH_METHOD_PASSWORD

      See Also:
        Constant Field Values

    - #### AUTH_METHOD_KERBEROS

          static final String AUTH_METHOD_KERBEROS

      See Also:
        Constant Field Values

    - #### AUTH_METHOD_SRP

          static final String AUTH_METHOD_SRP

      See Also:
        Constant Field Values

    - #### AUTH_METHOD_TLS

          static final String AUTH_METHOD_TLS

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_QUERY

          static final String AUTHENTICATION_QUERY

      See Also:
        Constant Field Values

    - #### AUTHENTICATION_STATEMENT

          static final String AUTHENTICATION_STATEMENT

      See Also:
        Constant Field Values

    - #### AUTHORITY_BINDING

          static final String AUTHORITY_BINDING

      See Also:
        Constant Field Values

    - #### AUTHORITY_KIND

          static final String AUTHORITY_KIND

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_DECISION_QUERY

          static final String AUTHORIZATION_DECISION_QUERY

      See Also:
        Constant Field Values

    - #### AUTHORIZATION_DECISION_STATEMENT

          static final String AUTHORIZATION_DECISION_STATEMENT

      See Also:
        Constant Field Values

    - #### BINDING

          static final String BINDING

      See Also:
        Constant Field Values

    - #### CONFIRMATION_METHOD

          static final String CONFIRMATION_METHOD

      See Also:
        Constant Field Values

    - #### DECISION

          static final String DECISION

      See Also:
        Constant Field Values

    - #### DNS_ADDRESS

          static final String DNS_ADDRESS

      See Also:
        Constant Field Values

    - #### EVIDENCE

          static final String EVIDENCE

      See Also:
        Constant Field Values

    - #### FORMAT

          static final String FORMAT

      See Also:
        Constant Field Values

    - #### FORMAT_EMAIL_ADDRESS

          static final String FORMAT_EMAIL_ADDRESS

      See Also:
        Constant Field Values

    - #### FORMAT_UNSPECIFIED

          static final String FORMAT_UNSPECIFIED

      See Also:
        Constant Field Values

    - #### IN_RESPONSE_TO

          static final String IN_RESPONSE_TO

      See Also:
        Constant Field Values

    - #### IP_ADDRESS

          static final String IP_ADDRESS

      See Also:
        Constant Field Values

    - #### ISSUER

          static final String ISSUER

      See Also:
        Constant Field Values

    - #### ISSUE_INSTANT

          static final String ISSUE_INSTANT

      See Also:
        Constant Field Values

    - #### LOCATION

          static final String LOCATION

      See Also:
        Constant Field Values

    - #### MAJOR_VERSION

          static final String MAJOR_VERSION

      See Also:
        Constant Field Values

    - #### MINOR_VERSION

          static final String MINOR_VERSION

      See Also:
        Constant Field Values

    - #### NAME_IDENTIFIER

          static final String NAME_IDENTIFIER

      See Also:
        Constant Field Values

    - #### NAME_QUALIFIER

          static final String NAME_QUALIFIER

      See Also:
        Constant Field Values

    - #### NAMESPACE

          static final String NAMESPACE

      See Also:
        Constant Field Values

    - #### PROTOCOL_11_NSURI

          static final String PROTOCOL_11_NSURI

      See Also:
        Constant Field Values

    - #### RECIPIENT

          static final String RECIPIENT

      See Also:
        Constant Field Values

    - #### REQUEST

          static final String REQUEST

      See Also:
        Constant Field Values

    - #### REQUEST_ID

          static final String REQUEST_ID

      See Also:
        Constant Field Values

    - #### RESOURCE

          static final String RESOURCE

      See Also:
        Constant Field Values

    - #### RESPONSE

          static final String RESPONSE

      See Also:
        Constant Field Values

    - #### RESPONSE_ID

          static final String RESPONSE_ID

      See Also:
        Constant Field Values

    - #### STATUS

          static final String STATUS

      See Also:
        Constant Field Values

    - #### STATUS_CODE

          static final String STATUS_CODE

      See Also:
        Constant Field Values

    - #### STATUS_DETAIL

          static final String STATUS_DETAIL

      See Also:
        Constant Field Values

    - #### STATUS_MSG

          static final String STATUS_MSG

      See Also:
        Constant Field Values

    - #### VALUE

          static final String VALUE

      See Also:
        Constant Field Values

Copyright © 2016 JBoss by Red Hat. All rights reserved.